org.apache.olingo.odata2.client.core.ep.deserializer

## Class JsonEntityDeserializer

- java.lang.Object
- - org.apache.olingo.odata2.client.core.ep.deserializer.JsonEntityDeserializer

-     public class JsonEntityDeserializer
      extends Object

  This class includes method for deserialization of feed and entry data

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonEntityDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<?>` | `readCollection(org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo info, EntityStream entityStream)`
    `ODataDeltaFeed` | `readDeltaFeed(EdmEntitySet entitySet, EntityStream entityStream)` Returns an ODataDeltaFeed deserializing EntityStream
    `ODataEntry` | `readEntry(EdmEntitySet entitySet, EntityStream entityStream)` Returns an ODataEntry deserializing EntityStream
    `ODataFeed` | `readFeed(EdmEntitySet entitySet, EntityStream entityStream)` Returns an ODataFeed deserializing EntityStream
    `Map<String,Object>` | `readProperty(org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, EntityStream entityStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonEntityDeserializer

          public JsonEntityDeserializer()

  - ### Method Detail

    - #### readEntry

          public ODataEntry readEntry(EdmEntitySet entitySet,
                                      EntityStream entityStream)
                               throws EntityProviderException

      Returns an ODataEntry deserializing EntityStream
      Parameters:
        `entitySet` -
        `entityStream` -
      Returns:
        ODataEntry
      Throws:
        `EntityProviderException`

    - #### readFeed

          public ODataFeed readFeed(EdmEntitySet entitySet,
                                    EntityStream entityStream)
                             throws EntityProviderException

      Returns an ODataFeed deserializing EntityStream
      Parameters:
        `entitySet` -
        `entityStream` -
      Returns:
        ODataFeed
      Throws:
        `EntityProviderException`

    - #### readDeltaFeed

          public ODataDeltaFeed readDeltaFeed(EdmEntitySet entitySet,
                                              EntityStream entityStream)
                                       throws EntityProviderException

      Returns an ODataDeltaFeed deserializing EntityStream
      Parameters:
        `entitySet` -
        `entityStream` -
      Returns:
        ODataDeltaFeed
      Throws:
        `EntityProviderException`

    - #### readCollection

          public List<?> readCollection(org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo info,
                                        EntityStream entityStream)
                                 throws EntityProviderException

      Throws:
        `EntityProviderException`

    - #### readProperty

          public Map<String,Object> readProperty(org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                                                 EntityStream entityStream)
                                          throws EntityProviderException

      Throws:
        `EntityProviderException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.